import Head from "next/head";
import { EmailAccordion } from "~/components/area-riservata/comunicazioni";
import { AreaRiservataLayout } from "~/components/Layout";
import type { NextPageWithLayout } from "~/pages/_app";
import { useEnforcedSession } from "~/providers/SessionProvider";

/**
 * Pagina delle comunicazioni: /area-riservata/comunicazioni
 * Mostra le comunicazioni email inviate all'utente.
 */
const Comunicazioni: NextPageWithLayout = () => {
	const session = useEnforcedSession();

	return (
		<>
			<Head>
				<title>Comunicazioni - Infoalloggi.it</title>
			</Head>

			<div className="mx-auto max-w-8xl grow p-4">
				<div className="p-1">
					<h1 className="font-bold text-2xl">Comunicazioni</h1>
				</div>

				<EmailAccordion
					isAdmin={session.user.isAdmin}
					userId={session.user.id}
				/>
			</div>
		</>
	);
};
export default Comunicazioni;
export async function getServerSideProps() {
	return {
		props: {},
	};
}

Comunicazioni.getLayout = function getLayout(page) {
	return <AreaRiservataLayout>{page}</AreaRiservataLayout>;
};
